Package org.apache.sis.storage

## Class ReadOnlyStorageException

- Object
- - Throwable
  - - Exception
    - - DataStoreException
      - - ReadOnlyStorageException

- All Implemented Interfaces:
    `Serializable`, `LocalizedException`

      public class ReadOnlyStorageException
      extends DataStoreException

  Thrown when a `DataStore` can not perform a write operations. If a data store does not support any write operation, then it should not implement `WritableAggregate` or `WritableFeatureSet` interface. But in some situations, a data store may implement a `Writable*` interface and nevertheless be unable to perform a write operation, for example because the underlying `Channel` is read-only or part of the file is locked by another process.
  Since:
    0.8
  See Also:
    `ForwardOnlyStorageException`, Serialized Form

  Defined in the `sis-storage` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyStorageException()` | Creates an exception with no cause and no details message.
    `ReadOnlyStorageException​(String message)` | Creates an exception with the specified details message.
    `ReadOnlyStorageException​(String message, Throwable cause)` | Creates an exception with the specified details message and cause.
    `ReadOnlyStorageException​(Throwable cause)` | Creates an exception with the specified cause and no details message.

  - ### Method Summary

    - ### Methods inherited from class DataStoreException

      `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadOnlyStorageException

          public ReadOnlyStorageException()

      Creates an exception with no cause and no details message.

    - #### ReadOnlyStorageException

          public ReadOnlyStorageException​(String message)

      Creates an exception with the specified details message.
      Parameters:
        `message` - the detail message.

    - #### ReadOnlyStorageException

          public ReadOnlyStorageException​(Throwable cause)

      Creates an exception with the specified cause and no details message.
      Parameters:
        `cause` - the cause for this exception.

    - #### ReadOnlyStorageException

          public ReadOnlyStorageException​(String message,
                                          Throwable cause)

      Creates an exception with the specified details message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.